Package com.google.android.exoplayer2.effect

## Interface GlEffect

- All Superinterfaces:
    `Effect`
  All Known Subinterfaces:
    `ColorLut`, `GlMatrixTransformation`, `MatrixTransformation`, `RgbMatrix`
  All Known Implementing Classes:
    `Contrast`, `Crop`, `HslAdjustment`, `Presentation`, `RgbAdjustment`, `RgbFilter`, `ScaleToFitTransformation`, `SingleColorLut`

      public interface GlEffect
      extends Effect

  Interface for a video frame effect with a `GlTextureProcessor` implementation.

  Implementations contain information specifying the effect and can be converted to a `GlTextureProcessor` which applies the effect.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `GlTextureProcessor` | `toGlTextureProcessor​(Context context, boolean useHdr)` | Returns a `SingleFrameGlTextureProcessor` that applies the effect.

- - ### Method Detail

    - #### toGlTextureProcessor

          GlTextureProcessor toGlTextureProcessor​(Context context,
                                                  boolean useHdr)
                                           throws FrameProcessingException

      Returns a `SingleFrameGlTextureProcessor` that applies the effect.
      Parameters:
        `context` - A `Context`.
        `useHdr` - Whether input textures come from an HDR source. If `true`, colors will be in linear RGB BT.2020. If `false`, colors will be in linear RGB BT.709.
      Throws:
        `FrameProcessingException`